Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEnSight6Reader Class Reference

`#include <vtkEnSight6Reader.h>`

Inheritance diagram for vtkEnSight6Reader:

[legend]
Collaboration diagram for vtkEnSight6Reader:

[legend]
List of all members.

## Detailed Description

class to read EnSight6 files

Date:
  2002/09/01 13:03:05

Revision:
  1.14

vtkEnSight6Reader is a class to read EnSight6 files into vtk. Because the different parts of the EnSight data can be of various data types, this reader produces multiple outputs, one per part in the input file. All variable information is being stored in field data. The descriptions listed in the case file are used as the array names in the field data. For complex vector variables, the description is appended with _r (for the array of real values) and _i (for the array if imaginary values). Complex scalar variables are stored as a single array with 2 components, real and imaginary, listed in that order.

Warning:
  You must manually call Update on this reader and then connect the rest of the pipeline because (due to the nature of the file format) it is not possible to know ahead of time how many outputs you will have or what types they will be. This reader can only handle static EnSight datasets (both static geometry and variables).

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (93%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkEnSight6Reader.h)`
  - .`cxx` (`/IO/vtkEnSight6Reader.cxx)`

Definition at line 59 of file vtkEnSight6Reader.h.

## Public Types
typedef vtkEnSightReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkEnSight6Reader * | New ()
int | IsTypeOf (const char *type)
vtkEnSight6Reader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEnSight6Reader ()
| ~vtkEnSight6Reader ()
virtual int | ReadGeometryFile (char *fileName, int timeStep)
virtual int | ReadMeasuredGeometryFile (char *fileName, int timeStep)
virtual int | CreateUnstructuredGridOutput (int partId, char line[256])
virtual int | CreateStructuredGridOutput (int partId, char line[256])
virtual int | ReadScalarsPerNode (char *fileName, char *description, int timeStep, int measured=0, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerNode (char *fileName, char *description, int timeStep, int measured=0)
virtual int | ReadTensorsPerNode (char *fileName, char *description, int timeStep)
virtual int | ReadScalarsPerElement (char *fileName, char *description, int timeStep, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerElement (char *fileName, char *description, int timeStep)
virtual int | ReadTensorsPerElement (char *fileName, char *description, int timeStep)
## Protected Attributes
int | NumberOfUnstructuredPoints
vtkPoints * | UnstructuredPoints
vtkIdTypeArray * | UnstructuredNodeIds

## Member Typedef Documentation

typedef vtkEnSightReader vtkEnSight6Reader::Superclass

| Reimplemented from vtkEnSightReader. Definition at line 63 of file vtkEnSight6Reader.h.

## Constructor & Destructor Documentation

vtkEnSight6Reader::vtkEnSight6Reader | ( |  | ) | `[protected]`

vtkEnSight6Reader::~vtkEnSight6Reader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkEnSight6Reader* vtkEnSight6Reader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkGenericEnSightReader.

virtual const char* vtkEnSight6Reader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkEnSightReader.

int vtkEnSight6Reader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

virtual int vtkEnSight6Reader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

vtkEnSight6Reader* vtkEnSight6Reader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkEnSightReader.

virtual void vtkEnSight6Reader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadMeasuredGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the measured geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadScalarsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per node for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one component in the scalars array, we assume that 0 is the first component added to the array. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadVectorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0
| ) | `[protected, virtual]`

| Read vectors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadTensorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadScalarsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per element for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one component in the scalars array, we assume that 0 is the first component added to the array. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadVectorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read vectors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::ReadTensorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::CreateUnstructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, virtual]`

| Read an unstructured part (partId) from the geometry file and create a vtkUnstructuredGrid output. Return 0 if EOF reached. Implements vtkEnSightReader.

virtual int vtkEnSight6Reader::CreateStructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, virtual]`

| Read a structured part from the geometry file and create a vtkStructuredGridOutput. Return 0 if EOF reached. Implements vtkEnSightReader.

## Member Data Documentation

int vtkEnSight6Reader::NumberOfUnstructuredPoints`[protected]`

| Definition at line 136 of file vtkEnSight6Reader.h.

vtkPoints* vtkEnSight6Reader::UnstructuredPoints`[protected]`

| Definition at line 137 of file vtkEnSight6Reader.h.

vtkIdTypeArray* vtkEnSight6Reader::UnstructuredNodeIds`[protected]`

| Definition at line 138 of file vtkEnSight6Reader.h.

The documentation for this class was generated from the following file:

- IO/vtkEnSight6Reader.h